Package org.springframework.security.web.server.authorization

# Class IpAddressReactiveAuthorizationManager

java.lang.Object
org.springframework.security.web.server.authorization.IpAddressReactiveAuthorizationManager

All Implemented Interfaces:
  `org.springframework.security.authorization.ReactiveAuthorizationManager<AuthorizationContext>`

public final class IpAddressReactiveAuthorizationManager extends Object implements org.springframework.security.authorization.ReactiveAuthorizationManager<AuthorizationContext>
A `ReactiveAuthorizationManager`, that determines if the current request contains the specified address or range of addresses

Since:
  5.7

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<org.springframework.security.authorization.AuthorizationDecision>`
`check(reactor.core.publisher.Mono<org.springframework.security.core.Authentication> authentication, AuthorizationContext context)`
`static IpAddressReactiveAuthorizationManager`
`hasIpAddress(String ipAddress)`
Creates an instance of `IpAddressReactiveAuthorizationManager` with the provided IP address.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.security.authorization.ReactiveAuthorizationManager

`authorize, verify`

## Method Details

### check

public reactor.core.publisher.Mono<org.springframework.security.authorization.AuthorizationDecision> check(reactor.core.publisher.Mono<org.springframework.security.core.Authentication> authentication, AuthorizationContext context)

Specified by:
  `check` in interface `org.springframework.security.authorization.ReactiveAuthorizationManager<AuthorizationContext>`

### hasIpAddress

public static IpAddressReactiveAuthorizationManager hasIpAddress(String ipAddress)
Creates an instance of `IpAddressReactiveAuthorizationManager` with the provided IP address.

Parameters:
  `ipAddress` - the address or range of addresses from which the request must
Returns:
  the new instance